package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.ext.GridCompanyLandExt;
import com.ruoyi.system.domain.grid.vo.GridEconomyPerMuItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridCompanyLandExtMapper {

    List<GridCompanyLandExt> getList(@Param("companyId") String companyId, @Param("landId") String landId, @Param("landPurpose") String landPurpose);

    GridCompanyLandExt getById(@Param("id") String id);

    int countByZlgx(@Param("zlgx") String zlgx);

    List<GridEconomyPerMuItem> getPermuSortList(@Param("year") String year);

}